# -*- encoding: utf-8 -*-
# stub: i18n-tasks 1.0.14 ruby lib

Gem::Specification.new do |s|
  s.name = "i18n-tasks".freeze
  s.version = "1.0.14".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "issue_tracker" => "https://github.com/glebm/i18n-tasks", "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["glebm".freeze]
  s.date = "2024-05-10"
  s.description = "i18n-tasks helps you find and manage missing and unused translations.\n\nIt analyses code statically for key usages, such as `I18n.t('some.key')`, in order to report keys that are missing or unused,\npre-fill missing keys (optionally from Google Translate), and remove unused keys.\n".freeze
  s.email = ["glex.spb@gmail.com".freeze]
  s.executables = ["i18n-tasks".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/i18n-tasks".freeze, "bin/i18n-tasks.cmd".freeze, "config/locales/en.yml".freeze, "config/locales/ru.yml".freeze, "i18n-tasks.gemspec".freeze, "lib/i18n/tasks.rb".freeze, "lib/i18n/tasks/base_task.rb".freeze, "lib/i18n/tasks/cli.rb".freeze, "lib/i18n/tasks/command/collection.rb".freeze, "lib/i18n/tasks/command/commander.rb".freeze, "lib/i18n/tasks/command/commands/data.rb".freeze, "lib/i18n/tasks/command/commands/eq_base.rb".freeze, "lib/i18n/tasks/command/commands/health.rb".freeze, "lib/i18n/tasks/command/commands/interpolations.rb".freeze, "lib/i18n/tasks/command/commands/meta.rb".freeze, "lib/i18n/tasks/command/commands/missing.rb".freeze, "lib/i18n/tasks/command/commands/tree.rb".freeze, "lib/i18n/tasks/command/commands/usages.rb".freeze, "lib/i18n/tasks/command/dsl.rb".freeze, "lib/i18n/tasks/command/option_parsers/enum.rb".freeze, "lib/i18n/tasks/command/option_parsers/locale.rb".freeze, "lib/i18n/tasks/command/options/common.rb".freeze, "lib/i18n/tasks/command/options/data.rb".freeze, "lib/i18n/tasks/command/options/locales.rb".freeze, "lib/i18n/tasks/command_error.rb".freeze, "lib/i18n/tasks/commands.rb".freeze, "lib/i18n/tasks/concurrent/cache.rb".freeze, "lib/i18n/tasks/concurrent/cached_value.rb".freeze, "lib/i18n/tasks/configuration.rb".freeze, "lib/i18n/tasks/console_context.rb".freeze, "lib/i18n/tasks/data.rb".freeze, "lib/i18n/tasks/data/adapter/json_adapter.rb".freeze, "lib/i18n/tasks/data/adapter/yaml_adapter.rb".freeze, "lib/i18n/tasks/data/file_formats.rb".freeze, "lib/i18n/tasks/data/file_system.rb".freeze, "lib/i18n/tasks/data/file_system_base.rb".freeze, "lib/i18n/tasks/data/router/conservative_router.rb".freeze, "lib/i18n/tasks/data/router/isolating_router.rb".freeze, "lib/i18n/tasks/data/router/pattern_router.rb".freeze, "lib/i18n/tasks/data/tree/node.rb".freeze, "lib/i18n/tasks/data/tree/nodes.rb".freeze, "lib/i18n/tasks/data/tree/siblings.rb".freeze, "lib/i18n/tasks/data/tree/traversal.rb".freeze, "lib/i18n/tasks/html_keys.rb".freeze, "lib/i18n/tasks/ignore_keys.rb".freeze, "lib/i18n/tasks/interpolations.rb".freeze, "lib/i18n/tasks/key_pattern_matching.rb".freeze, "lib/i18n/tasks/locale_list.rb".freeze, "lib/i18n/tasks/locale_pathname.rb".freeze, "lib/i18n/tasks/logging.rb".freeze, "lib/i18n/tasks/missing_keys.rb".freeze, "lib/i18n/tasks/plural_keys.rb".freeze, "lib/i18n/tasks/references.rb".freeze, "lib/i18n/tasks/reports/base.rb".freeze, "lib/i18n/tasks/reports/terminal.rb".freeze, "lib/i18n/tasks/scanners/ast_matchers/base_matcher.rb".freeze, "lib/i18n/tasks/scanners/ast_matchers/default_i18n_subject_matcher.rb".freeze, "lib/i18n/tasks/scanners/ast_matchers/message_receivers_matcher.rb".freeze, "lib/i18n/tasks/scanners/ast_matchers/rails_model_matcher.rb".freeze, "lib/i18n/tasks/scanners/erb_ast_scanner.rb".freeze, "lib/i18n/tasks/scanners/file_scanner.rb".freeze, "lib/i18n/tasks/scanners/files/caching_file_finder.rb".freeze, "lib/i18n/tasks/scanners/files/caching_file_finder_provider.rb".freeze, "lib/i18n/tasks/scanners/files/caching_file_reader.rb".freeze, "lib/i18n/tasks/scanners/files/file_finder.rb".freeze, "lib/i18n/tasks/scanners/files/file_reader.rb".freeze, "lib/i18n/tasks/scanners/local_ruby_parser.rb".freeze, "lib/i18n/tasks/scanners/occurrence_from_position.rb".freeze, "lib/i18n/tasks/scanners/pattern_mapper.rb".freeze, "lib/i18n/tasks/scanners/pattern_scanner.rb".freeze, "lib/i18n/tasks/scanners/pattern_with_scope_scanner.rb".freeze, "lib/i18n/tasks/scanners/relative_keys.rb".freeze, "lib/i18n/tasks/scanners/results/key_occurrences.rb".freeze, "lib/i18n/tasks/scanners/results/occurrence.rb".freeze, "lib/i18n/tasks/scanners/ruby_ast_call_finder.rb".freeze, "lib/i18n/tasks/scanners/ruby_ast_scanner.rb".freeze, "lib/i18n/tasks/scanners/ruby_key_literals.rb".freeze, "lib/i18n/tasks/scanners/scanner.rb".freeze, "lib/i18n/tasks/scanners/scanner_multiplexer.rb".freeze, "lib/i18n/tasks/split_key.rb".freeze, "lib/i18n/tasks/stats.rb".freeze, "lib/i18n/tasks/string_interpolation.rb".freeze, "lib/i18n/tasks/translation.rb".freeze, "lib/i18n/tasks/translators/base_translator.rb".freeze, "lib/i18n/tasks/translators/deepl_translator.rb".freeze, "lib/i18n/tasks/translators/google_translator.rb".freeze, "lib/i18n/tasks/translators/openai_translator.rb".freeze, "lib/i18n/tasks/translators/yandex_translator.rb".freeze, "lib/i18n/tasks/unused_keys.rb".freeze, "lib/i18n/tasks/used_keys.rb".freeze, "lib/i18n/tasks/version.rb".freeze, "templates/config/i18n-tasks.yml".freeze, "templates/minitest/i18n_test.rb".freeze, "templates/rspec/i18n_spec.rb".freeze]
  s.homepage = "https://github.com/glebm/i18n-tasks".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "# Install default configuration:\ncp $(bundle exec i18n-tasks gem-path)/templates/config/i18n-tasks.yml config/\n# Add an RSpec for missing and unused keys:\ncp $(bundle exec i18n-tasks gem-path)/templates/rspec/i18n_spec.rb spec/\n# Or for minitest:\ncp $(bundle exec i18n-tasks gem-path)/templates/minitest/i18n_test.rb test/\n".freeze
  s.required_ruby_version = Gem::Requirement.new([">= 2.6".freeze, "< 4.0".freeze])
  s.rubygems_version = "3.5.3".freeze
  s.summary = "Manage localization and translation with the awesome power of static analysis".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activesupport>.freeze, [">= 4.0.2".freeze])
  s.add_runtime_dependency(%q<ast>.freeze, [">= 2.1.0".freeze])
  s.add_runtime_dependency(%q<erubi>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<highline>.freeze, [">= 2.0.0".freeze])
  s.add_runtime_dependency(%q<i18n>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<parser>.freeze, [">= 3.2.2.1".freeze])
  s.add_runtime_dependency(%q<rails-i18n>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<rainbow>.freeze, [">= 2.2.2".freeze, "< 4.0".freeze])
  s.add_runtime_dependency(%q<terminal-table>.freeze, [">= 1.5.1".freeze])
  s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0".freeze, ">= 2.0.1".freeze])
  s.add_development_dependency(%q<overcommit>.freeze, ["~> 0.58.0".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.3".freeze])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.50.1".freeze])
  s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.6.0".freeze])
  s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.19.0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<yard>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<deepl-rb>.freeze, [">= 2.1.0".freeze])
  s.add_development_dependency(%q<easy_translate>.freeze, [">= 0.5.1".freeze])
  s.add_development_dependency(%q<yandex-translator>.freeze, [">= 0.3.3".freeze])
end

